Discussions specific to the VMware vSphere hypervisor
Post Reply
lightsout
Expert
Posts: 218
Liked: 58 times
Joined: Apr 10, 2014 4:13 pm
Contact:

Granular SharePoint restore - Database upgrade required

Post by lightsout » May 08, 2014 4:37 pm

All,

I hope this is a simple question.

I'm running VB&R 7 on Server 2012 with SQL 2012. I'm trying to do a granular restore from SharePoint 2007 on SQL 2005 server. When I open the database to restore I get:
The selected SharePoint database has to be upgraded to be open in the specified Microsoft SQL 2012 ('BLAH' instance). After the database upgrade, older versions of SQL Server will not be able to open this database. Do you want to continue?
My question is - is this upgraded database get sent back to the backup themselves? Or is it essentially discarded once the granular restore is completed?

Basically, I don't want to upgrade it if there is any risk to a future VM based restore of the server.

Thanks!

foggy
Veeam Software
Posts: 18257
Liked: 1559 times
Joined: Jul 11, 2011 10:22 am
Full Name: Alexander Fogelson
Contact:

Re: Granular SharePoint restore - Database upgrade required

Post by foggy » May 08, 2014 10:02 pm 1 person likes this post

Backup files are never touched during restore. The database from the mounted backup file (under C:\VeeamFLR folder) will be upgraded, the backup file itself will be left intact.

lightsout
Expert
Posts: 218
Liked: 58 times
Joined: Apr 10, 2014 4:13 pm
Contact:

Re: Granular SharePoint restore - Database upgrade required

Post by lightsout » May 09, 2014 1:11 pm

Ok, good to have that confirmed. Just wanted to be sure. So I did that, and now I get another error:
Specified database is not a support SharePoint content database
Doing restores from our SharePoint 2010/SQL 2008R2 farm works fine, it is just this older version that has issues.

foggy
Veeam Software
Posts: 18257
Liked: 1559 times
Joined: Jul 11, 2011 10:22 am
Full Name: Alexander Fogelson
Contact:

Re: Granular SharePoint restore - Database upgrade required

Post by foggy » May 09, 2014 10:34 pm 1 person likes this post

Sorry, I should have noticed that earlier, Microsoft SharePoint 2007 is not among the supported platforms. Only Microsoft SharePoint 2010 and Microsoft SharePoint 2013 are supported.

lightsout
Expert
Posts: 218
Liked: 58 times
Joined: Apr 10, 2014 4:13 pm
Contact:

Re: Granular SharePoint restore - Database upgrade required

Post by lightsout » May 12, 2014 1:17 pm

Ah, darn. Thanks!

Post Reply

Who is online

Users browsing this forum: Bing [Bot], Google [Bot] and 10 guests